## kamoso-3.1.0.tar.xz

=== CMakeLists.txt ===
project(Kamoso)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt5 NO_MODULE REQUIRED COMPONENTS Core Gui Widgets Quick)
find_package(KF5 REQUIRED COMPONENTS Config DocTools KIO Declarative I18n)

find_package(Qt5GStreamer 1.1.90 REQUIRED)
find_package(KDEExperimentalPurpose REQUIRED)
find_package(UDev REQUIRED)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddTests)
include(FeatureSummary)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(uk)
add_subdirectory(en)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR kamoso)

=== ports/archlinux/PKGBUILD ===
# Mantainer: alex@eyeos.org, aleixpol@kde.org

pkgname=kamoso-git
_pkgname=kamoso
pkgver=20110108
pkgrel=1
pkgdesc="Kamoso is an application to take pictures and videos out of your webcam."
url="https://projects.kde.org/projects/playground/multimedia/kamoso/"
arch=('i686' 'x86_64')
license=('GPL')
depends=('kdebase-workspace' 'qtgstreamer-git')
makedepends=('cmake' 'git' 'automoc4')
conflicts=('kamoso')

_gitroot='git://git.kde.org/kamoso/'
_gitname='kamoso'

build() {
    cd "$srcdir"
    msg "Connecting to gitorious GIT server...."
    if [ -d ${srcdir}/$_gitname ] ; then
        cd $_gitname
        git pull . master
        git submodule update --init
        msg "The local files are updated."
    else
        git clone $_gitroot $_gitname
        cd $_gitname
        git submodule update --init
    fi
    msg "GIT checkout done."

    cd ..
    if [ -d build ] ; then
        rm -rf build
    fi
    mkdir build
    cd build
    cmake ${srcdir}/$_gitname \
    -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
    -DCMAKE_BUILD_TYPE=Release || return 1
    make || return 1
    make DESTDIR=$startdir/pkg install
}
